> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazoncreateredshiftsnapshotparameters-object.md).

# AmazonCreateRedshiftSnapshotParameters  Object

## Description

Parameters for the Amazon Create Redshift Snapshot action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### clusterId

ID of the Redshift cluster to backup. Required when `clusterIdentificationMethod` is `by-cluster-id`.

Type: Array of `string`

Required: Conditional

### clusterIdentificationMethod

Method of identifying the Redshift cluster from which the snapshot will be created.

Type: `string`

Valid Values:

* `by-cluster-id`

Required: Yes

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### snapshotId

ID of the snapshot that will be created.

Type: `string`

Required: Yes

### tags

Resource tags to add to the snapshot.

Type: Array of [Tag](/data-types/tag-object.md) object.

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    
    "clusterIdentificationMethod": "by-cluster-id",
    "clusterId": "my-cluster"

    "snapshotId": "$(CLUSTERID)-$(DATE)",
    "tags": [
        {
            "key": "skeddly:cluster-id",
            "value": "$(CLUSTERID)"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncreateredshiftsnapshotparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
